
var _bIsDarkMode = document.documentElement.getAttribute("darkMode") == "true" ? true : false;

(function(){
	document.addEventListener("DOMContentLoaded", function() {
	    changeDarkMode();
	}, false);
})();

function changeDarkMode() {
    if(!_bIsDarkMode) {
        return;
    }
    document.body.style.backgroundColor = "#000000";

    var walker = document.createTreeWalker(document, NodeFilter.SHOW_ELEMENT, {
        acceptNode: function(node) {
//          if (ignoreDarkModeNode(node)) {
//              return NodeFilter.FILTER_REJECT;
//          }
          return NodeFilter.FILTER_ACCEPT;
        }
      }, false);

    var node = walker.nextNode();
     while(node) {
        if(node.tagName == "A") {
            node.style.setProperty("color", "#08a16d", "important");
            node = walker.nextNode();
            continue;
        }
        var backgroundValue = node.getAttribute("background");
        if(backgroundValue != null && backgroundValue.length > 0 && backgroundValue.length < 20) {
            node.setAttribute("background", "#000000");
        }
        var bgColorValue = node.getAttribute("bgcolor");
        if(bgColorValue != null && bgColorValue.length > 0) {
            node.setAttribute("bgcolor", "#000000");
        }
        var backgroundStyleValue = node.style.getPropertyValue("background");
        if(backgroundStyleValue != null && backgroundStyleValue.length > 0 && backgroundStyleValue.length < 20) {
            node.style.setProperty("background", "#000000", "important");
        }
        var backgroundColorValue = node.style.getPropertyValue("background-color");
        if(backgroundColorValue != null && backgroundColorValue.length > 0) {
            node.style.setProperty("background-color", "#000000", "important");
        }
        node.style["color"] = "#FFFFFF";
        node.style["border-color"] = "#FFFFFF";
        node = walker.nextNode();
     }
}

function ignoreDarkModeNode(node) {
    return node.tagName == "A";
}